package com.gyee.frame.model.custom.analysistask;

import java.io.Serializable;


public class ComputeResult implements Serializable {



	/**
	 * 
	 */
	private static final long serialVersionUID = 3733264234609723182L;
	//风机型号
	private String ModelId;
	//部件编号
	private String UnitId;
	//规则汇总编号
	private String RoleIndexId;
	//规则编号
	private String RoleId;
	//规则编号
	private String FactValue;
	
	public ComputeResult()
	{
		
	}

	public ComputeResult(String modelId, String unitId, String roleIndexId, String roleId, String factValue) {
		super();
		ModelId = modelId;
		UnitId = unitId;
		RoleIndexId = roleIndexId;
		RoleId = roleId;
		FactValue = factValue;
	}

	public String getModelId() {
		return ModelId;
	}

	public void setModelId(String modelId) {
		ModelId = modelId;
	}

	public String getUnitId() {
		return UnitId;
	}

	public void setUnitId(String unitId) {
		UnitId = unitId;
	}

	public String getRoleIndexId() {
		return RoleIndexId;
	}

	public void setRoleIndexId(String roleIndexId) {
		RoleIndexId = roleIndexId;
	}

	public String getRoleId() {
		return RoleId;
	}

	public void setRoleId(String roleId) {
		RoleId = roleId;
	}

	public String getFactValue() {
		return FactValue;
	}

	public void setFactValue(String factValue) {
		FactValue = factValue;
	}
	
	
	
}
